petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMTSSetBoundaryLocal

set the function for essential boundary data for a local implicit function evaluation. It should set the essential boundary data for the local portion of the solution X, as well its time derivative X_t (if it is not NULL). Vectors are initialized to zero before this function, so it is only needed for non homogeneous data.

### Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSSetBoundaryLocal(DM dm, PetscErrorCode (*func)(DM, PetscReal, Vec, Vec, void *), void *ctx)

Note that this function is somewhat optional: boundary data could potentially be inserted by a function passed to DMTSSetIFunctionLocal(). The use case for this function is for discretizations with constraints (see DMGetDefaultConstraints()): this function inserts boundary values before constraint interpolation.

Logically Collective

### Input Arguments

| dm | - DM to associate callback with
| func | - local function evaluation
| ctx | - context for function evaluation

### See Also

DMTSSetIFunction(), DMTSSetIJacobianLocal()

Level:intermediate
Location:src/ts/utils/dmlocalts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex11.c.html